python-gnutls_3.0.0-0ubuntu1_amd64.deb


Advertisement

Description

python-gnutls - Python wrapper for the GNUTLS library

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-gnutls
Package version: 3.0.0
Package release: 0ubuntu1
Package architecture: amd64
Package type: deb
Installed size: 216 B
Download size: 34.26 KB
Official Mirror: archive.ubuntu.com
This package provides a high level object oriented wrapper around libgnutls, as well as low level bindings to the GNUTLS types and functions via ctypes. The high level wrapper hides the details of accessing the GNUTLS library via ctypes behind a set of classes that encapsulate GNUTLS sessions, certificates and credentials and expose them to Python applications using a simple API. The package also includes a Twisted interface that has seamless intergration with Twisted, providing connectTLS and listenTLS methods on the Twisted reactor once imported (the methods are automatically attached to the reactor by simply importing the GNUTLS Twisted interface module).

Alternatives

Provides

  • python2.7-gnutls

    Download

    Source package: python-gnutls

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-gnutls deb package:
      # sudo apt-get install python-gnutls

    Files

    • /usr/lib/python2.7/dist-packages/python_gnutls-3.0.0.egg-info
    • /usr/lib/python2.7/dist-packages/gnutls/__info__.py
    • /usr/lib/python2.7/dist-packages/gnutls/__init__.py
    • /usr/lib/python2.7/dist-packages/gnutls/connection.py
    • /usr/lib/python2.7/dist-packages/gnutls/constants.py
    • /usr/lib/python2.7/dist-packages/gnutls/crypto.py
    • /usr/lib/python2.7/dist-packages/gnutls/errors.py
    • /usr/lib/python2.7/dist-packages/gnutls/validators.py
    • /usr/lib/python2.7/dist-packages/gnutls/interfaces/__init__.py
    • /usr/lib/python2.7/dist-packages/gnutls/interfaces/twisted/__init__.py
    • /usr/lib/python2.7/dist-packages/gnutls/library/__init__.py
    • /usr/lib/python2.7/dist-packages/gnutls/library/constants.py
    • /usr/lib/python2.7/dist-packages/gnutls/library/errors.py
    • /usr/lib/python2.7/dist-packages/gnutls/library/functions.py
    • /usr/lib/python2.7/dist-packages/gnutls/library/types.py
    • /usr/share/doc/python-gnutls/changelog.Debian.gz
    • /usr/share/doc/python-gnutls/copyright
    • /usr/share/doc/python-gnutls/examples/README
    • /usr/share/doc/python-gnutls/examples/client.py
    • /usr/share/doc/python-gnutls/examples/crypto.py
    • /usr/share/doc/python-gnutls/examples/server.py
    • /usr/share/doc/python-gnutls/examples/twisted-client.py
    • /usr/share/doc/python-gnutls/examples/twisted-green-client.py
    • /usr/share/doc/python-gnutls/examples/twisted-server.py
    • /usr/share/doc/python-gnutls/examples/certs/ca.pem
    • /usr/share/doc/python-gnutls/examples/certs/crl.pem
    • /usr/share/doc/python-gnutls/examples/certs/revoked.crt
    • /usr/share/doc/python-gnutls/examples/certs/revoked.key
    • /usr/share/doc/python-gnutls/examples/certs/valid.crt
    • /usr/share/doc/python-gnutls/examples/certs/valid.key

    Changelog

    2016-03-29 - Matthias Klose <doko@ubuntu.com> python-gnutls (3.0.0-0ubuntu1) xenial; urgency=medium * New upstream version.

    2016-03-29 - Matthias Klose <doko@ubuntu.com> python-gnutls (2.0.1-2ubuntu2) xenial; urgency=medium * gnutls/library/__init__.py: Hard-code library version as 30.

    2016-02-18 - Matthias Klose <doko@ubuntu.com> python-gnutls (2.0.1-2ubuntu1) xenial; urgency=medium * Hard-code libgnutls30 instead of the old hard-coded library.

    2014-11-23 - Scott Kitterman <scott@kitterman.com> python-gnutls (2.0.1-2) unstable; urgency=medium * Team upload. * Use a function that actually exists to test if OpenPGP functions are present in the library (Closes: #764034) - Thanks to Teddy Hogeborn for the bug report, the diagnosis, and the initial version of the patch - Note: Change is done inline to avoid adding a patch system during freeze, so it does not appear in the DPMT svn

    2014-10-04 - Jonathan Wiltshire <jmw@debian.org> python-gnutls (2.0.1-1) unstable; urgency=medium * Team upload * New upstream release * Depend and build-depend on gnutls28 (Closes: #736525)

    2014-02-13 - Bernd Zeimetz <bzed@debian.org> python-gnutls (1.2.5-1) unstable; urgency=low [ Jakub Wilk ] * Use canonical URIs for Vcs-* fields. [ Bernd Zeimetz ] * Updating to upstream version 1.2.5.

    2012-04-26 - Bernd Zeimetz <bzed@debian.org> python-gnutls (1.2.4-1) unstable; urgency=low * New upstream version. * Migrate to dh_python2.

    2012-03-03 - gregor herrmann <gregoa@debian.org> python-gnutls (1.2.0-2.1) unstable; urgency=low * Non-maintainer upload. * Fix "gnutls.library.functions fails with libgnutls28-3.0.8-2": apply patch taken from upstream 1.2.4 release. (Closes: #651865)

    2010-10-06 - Bernd Zeimetz <bzed@debian.org> python-gnutls (1.2.0-2) unstable; urgency=low * Depend on libgnutls26 as the library is used via ctypes now. A better solution will be implemented after Squeeze.

    2010-02-02 - Bernd Zeimetz <bzed@debian.org> python-gnutls (1.2.0-1) unstable; urgency=low * New upstream version.

    Advertisement
    Advertisement